Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.exp.parser
Class ConditionNode

    java.lang.Object
      org.apache.cayenne.exp.Expression
          org.apache.cayenne.exp.parser.SimpleNode
              org.apache.cayenne.exp.parser.ConditionNode

All Implemented Interfaces:
  java.io.Serializable, Node, XMLSerializable

Direct Known Subclasses:
  ASTBetween, ASTEqual, ASTGreater, ASTGreaterOrEqual, ASTIn, ASTLess, ASTLessOrEqual, ASTNotBetween, ASTNotEqual, ASTNotIn, PatternMatchNode

    public abstract class ConditionNode

extends SimpleNode

Superclass of conditional expressions.

Since:
  1.1
Author:
  Andrei Adamchik
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.cayenne.exp.parser.SimpleNode
`children, id, parent`

Fields inherited from class org.apache.cayenne.exp.Expression
`ADD, ALL, AND, ANY, AVG, BETWEEN, COUNT, DB_PATH, DIVIDE, EQUAL_TO, EXISTS, GREATER_THAN, GREATER_THAN_EQUAL_TO, IN, LESS_THAN, LESS_THAN_EQUAL_TO, LIKE, LIKE_IGNORE_CASE, LIST, MAX, MIN, MULTIPLY, NEGATIVE, NOT, NOT_BETWEEN, NOT_EQUAL_TO, NOT_IN, NOT_LIKE, NOT_LIKE_IGNORE_CASE, OBJ_PATH, OR, POSITIVE, PRUNED_NODE, RAW_SQL, SOME, SUBQUERY, SUBTRACT, SUM, type`

Constructor Summary
`ConditionNode(int i)`

Method Summary
`void` | `jjtSetParent(Node n)` This pair of methods are used to inform the node of its parent.

Methods inherited from class org.apache.cayenne.exp.parser.SimpleNode
`connectChildren, encodeAsEscapedString, encodeAsString, encodeScalarAsString, evaluate, evaluateChild, evaluateNode, expName, flattenTree, getExpressionOperator, getOperand, getOperandCount, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, notExp, pruneNodeForPrunedChild, setOperand, unwrapChild, wrapChild`

Methods inherited from class org.apache.cayenne.exp.Expression
`andExp, deepCopy, encodeAsXML, equals, expWithParameters, expWithParameters, filter, filterObjects, fromString, getType, joinExp, match, orExp, setType, shallowCopy, toString, transform, transformExpression, traverse, traverse`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConditionNode

    public ConditionNode(int i)

Method Detail

### jjtSetParent

    public void jjtSetParent(Node n)

  Description copied from interface: `Node`
  This pair of methods are used to inform the node of its parent.

  Specified by:
    `jjtSetParent` in interface `Node`
  Overrides:
    `jjtSetParent` in class `SimpleNode`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 Apache.org All Rights Reserved.